---
title: ':-moz-only-whitespace'
slug: 'Web/CSS/:-moz-only-whitespace'
tags:
  - ':-moz-only-whitespace'
  - CSS
  - Non-standard
  - Pseudo-class
  - Reference
  - Selector
---
<div>{{CSSRef}}</div>

<p>{{Non-standard_Header}}</p>

<div class="notecard note">
<p><strong>Note:</strong> In {{SpecName("CSS4 Selectors", "#the-empty-pseudo")}} the {{CSSxRef(":empty")}} selector was changed to act like <code style="white-space: nowrap;">:-moz-only-whitespace</code>, but no browser currently supports this yet.</p>
</div>

<p>The <strong><code>:-moz-only-whitespace</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> matches elements that only contains text nodes that only contain {{Glossary("whitespace")}}. (This includes elements with empty text nodes and elements with no child nodes.)</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Simple_-moz-only-whitespace_example">Simple :-moz-only-whitespace example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div&gt; &lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">div {
  border: 4px solid red;
}

:-moz-only-whitespace {
  border-color: lime;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Simple_moz_only_whitespace_example', '100%', 50)}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Briefly defined as <code>:blank</code> in {{SpecName("CSS4 Selectors", "#changes-2018-02")}}, but then the functionality was merged into {{CSSxRef(":empty")}} and {{CSSxRef(":blank")}} redefined to mean empty {{HTMLElement("input")}}.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-moz-only-whitespace")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{CSSxRef(":blank")}} {{Experimental_Inline}}</li>
	<li>{{CSSxRef(":empty")}}</li>
</ul>
